# Siwat System MCP DXT

This is a Claude DXT extension for the [Siwat System API](https://portal.siwatsystem.com). It allows you to interact with the Siwat System API through Claude.

## Features

*   Set VPN location for your devices
*   Get VPN location for your devices
*   Get email history for your domains

## Installation

1.  Download the latest `siwat_system_mcp.dxt` file.
2.  Open Claude Desktop and go to **Settings > Extensions**.
3.  Click **Install Extension** and select the downloaded `.dxt` file.
4.  Enter your Siwat System API key when prompted.

## Usage

Once the extension is installed, you can use the following prompts in Claude:

*   `Set the VPN location my [device] to [location]`
*   `Get the VPN location for my [device]`
*   `Get the email history for [domain] from [start_date] to [end_date]`

## Building from source

To build the DXT extension from source, you will need to have [Bun](httpshttps://bun.sh/) installed.

1.  Clone this repository:

```
git clone https://github.com/siwatsystem/siwatsystem-mcp-dxt.git
```

2.  Install the dependencies:

```
bun install
```

3.  Build the extension:

```
bun run build
```

This will create a `dist` directory containing the `siwat_system_mcp.dxt` file.

## Disclaimer

This is a third-party extension and is not officially supported by Siwat System. Use at your own risk.
